com.saxonica.bytecode.map

## Class KeyMappingFunction

- java.lang.Object
- - com.saxonica.bytecode.map.KeyMappingFunction

- All Implemented Interfaces:
    MappingFunction<AtomicValue,NodeInfo>

      public class KeyMappingFunction
      extends Object
      implements MappingFunction<AtomicValue,NodeInfo>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DocumentInfo` | `document`
    `XPathContext` | `keyContext`
    `KeyManager` | `keyManager`
    `KeyDefinitionSet` | `keySet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyMappingFunction()`
    `KeyMappingFunction(XPathContext keyContext, DocumentInfo document, KeyManager keyManager, KeyDefinitionSet keySet)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SequenceIterator<NodeInfo>` | `map(AtomicValue item)` Map one item to a sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyContext

          public XPathContext keyContext

    - #### document

          public DocumentInfo document

    - #### keyManager

          public KeyManager keyManager

    - #### keySet

          public KeyDefinitionSet keySet

  - ### Constructor Detail

    - #### KeyMappingFunction

          public KeyMappingFunction()

    - #### KeyMappingFunction

          public KeyMappingFunction(XPathContext keyContext,
                            DocumentInfo document,
                            KeyManager keyManager,
                            KeyDefinitionSet keySet)

  - ### Method Detail

    - #### map

          public SequenceIterator<NodeInfo> map(AtomicValue item)
                                         throws XPathException

      Description copied from interface: `MappingFunction`
      Map one item to a sequence.
      Specified by:
        `map` in interface `MappingFunction<AtomicValue,NodeInfo>`
      Parameters:
        `item` - The item to be mapped.
      Returns:
        one of the following: (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) null if it maps to an empty sequence.
      Throws:
        `XPathException` - if a dynamic error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.